<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>page-name-005</title>
	<meta name="assert" content="Test checks 'first' page group selector when inlines are present between the blocks with forced break.">
	<style>
		@page {
			margin: 1cm;
			size: A5;
		}

		@page block:first {
			background-color: lightblue;
		}

		div {
			break-before: page;
			break-after: page;
			page: block;
		}
	</style>
</head>
<body>
<span>White page</span>
<div>Blue page</div>
<span>White page</span>
<div>Blue page</div>
</body>
</html>
